function [parPI_Regler, PIReg] = fct_PI_Regler(sysGSM, tr, ue, Ta, show_plots)
  arguments
      sysGSM struct
      tr double
      ue double
      Ta double
      show_plots {mustBeNumericOrLogical} = false
  end
  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Berechnung des PI-Reglers für die GSM
  % Übung 2: Reglerentwurf und Simulation
  % 
  % Achtung: GSM_Parameter muss geladen werden!
  %
  % INPUT: 
  %   sysGSM - Struktur mit Systemmatrizen und Übertragungsfunktionen
  %   tr - geforderte Anstiegszeit
  %   ue - gefordertes maximales Überschwingen
  %   Ta - Abtastzeit
  %   show_plots - flag ob Plots erstellt werden sollen
  %
  % OUTPUT:
  %   parPI_Regler - Sturktur mit PI-Regler Parameter
  %   PIReg - z Übertragungsfunktion des entworfenen Reglers
  %
  % =======================================================================
  % LU Regelugnstechnik: GSM mit Propeller
  % Ersteller:    Florian Beck, 15.11.2022
  % Änderungen:   
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  s = tf('s');

  % TODO
  
  if(show_plots)
    figure; clf; hold all;
    set(gcf,'name','Zeitdiskreter FKL Entwurf für PI-Regler','numbertitle','off')
    
    % TODO Bode plot

    figure; clf;

    %Sprunghöhe für Stellgrößenbeschränkung
    OmegaStep = 20;         %rad/s
  
    set(gcf,'name','Sprungantwort des Systems mit PI-Regler, zeitdiskret','numbertitle','off')
    
    % TODO Sprungantwort plot
  end

  parPI_Regler.Ta = ;
  parPI_Regler.VP = ;
  parPI_Regler.VI = ;

  PIReg = ; % Gesamter PI-Regler
end